#include <sys/types.h>
#include <sys/times.h>
#include <limits.h>

#define chrono(function)                           \
(                                                  \
  times(&tms_debut),                               \
  function,                                        \
  times(&tms_fin),                                 \
  tms_fin.tms_utime - tms_debut.tms_utime          \
)
static struct tms tms_debut;
static struct tms tms_fin;
