#ifndef __CLUSTER_H__
#define __CLUSTER_H__

#include "matrice.h"
#include "type_obj.h"
#include "types.h"
#include "objet.h"

struct cluster 
{
  bouleen exist;
  int     canonic;
  intervalle inter[3];
  vecteur mean;
  double sqe;
  double mom0;
  vecteur mom1;
  vecteur mom2;
};

CLASSE(cluster);

extern void    cluster_add_color_to_cluster(cluster,int[3]);
extern bouleen cluster_is_empty            (cluster);
extern void    cluster_copy                (cluster,cluster);
extern void    cluster_compute_mean_sqe    (cluster);
#endif
