#ifndef __conversion__
#define __conversion__

/* Les differents espaces */
#define RGB 0
#define I1I2I3 1
#define H1H2H3 2
#define LUV    3
#define YIQ    4
#define VECT_PROPRE 5
#define K1K2K3      6

/* Espace RGB to espace X */  
#define RGB_to_RGB     0
#define RGB_to_I1I2I3  1
#define RGB_to_H1H2H3  2
#define RGB_to_Luv     3
#define RGB_to_YIQ     4
#define RGB_to_V1V2V3  5
#define RGB_to_K1K2K3  6
#define RGB_to_T1T2T3  7

/* Espace X to Espace RGB */
#define I1I2I3_to_RGB  1
#define H1H2H3_to_RGB  2
#define Luv_to_RGB     3
#define YIQ_to_RGB     4
#define V1V2V3_to_RGB  5
#define K1K2K3_to_RGB  6
#define T1T2T3_to_RGB  7

typedef int (*PFconversion)(int,int,int);

extern PFconversion* changer_espace(int);
extern PFconversion* revenir_espace(int);
#endif


