#include "cag.h"
#include "cluster_set.h"

static void move_to_nb_color(cluster_set,cag,int);
static void merge_two_node(cluster_set,cag);

void merge_clusters(cluster_set clusters,int nb_color)
{
  cag graph;

  graph = FAIRE_cag(clusters);
  move_to_nb_color(clusters,graph,nb_color);
  DEFAIRE_cag(graph);
}

static void move_to_nb_color(cluster_set clusters,cag graph,int nb_color)
{
  int nb_cluster;

  nb_cluster = cluster_set_give_cardinal(clusters);
  
  while(nb_cluster > nb_color)
    {
      merge_two_node(clusters,graph);
      nb_cluster--;
    }
}
static void merge_two_node(cluster_set clusters,cag graph)
{
  int clus1,clus2;

  cag_find_closest_node(graph,&clus1,&clus2);
/*  printf("Merge : (%d,%d)\n",clus1,clus2);*/
  cluster_set_merge_cluster(clusters,clus1,clus2);
  cag_merge_node(graph,clusters,clus1,clus2);
}







