#include <math.h>
#include "partition.h"
#include "definitions.h"
#include "classe.h"

#define Init_clus    SELF(init_clus)
#define Nb_clus_axis SELF(nb_clus_axis)
#define Nb_clus_surf SELF(nb_clus_surf)

#define RGB_LENGHT 256

struct partition
{
  int init_clus[RGB_LENGHT];
  int nb_clus_axis;
  int nb_clus_surf;
};

partition FAIRE_partition(int *nb_cluster)

{
  static double un_tier = 1.0/3.0;
  float nb_clus = pow(((double)(*nb_cluster)),un_tier);
  int ind = 0;
  int lenght_axis,limit;
  int i;

  INSTANCIER(partition);
    
  Nb_clus_axis = (int)(nb_clus+0.5);
  Nb_clus_surf = Nb_clus_axis*Nb_clus_axis; 

  *nb_cluster = Nb_clus_surf*Nb_clus_axis;
  lenght_axis = RGB_LENGHT/Nb_clus_axis;
  limit = lenght_axis;

  for(i=0;i<RGB_LENGHT;i++)
    {
      Init_clus[i] = ind;
      if((i>limit)&&((RGB_LENGHT-i) >lenght_axis))
	{
	  ind++;
	  limit+=lenght_axis;
	}
    }
  return self;
}

void DEFAIRE_partition(partition self)
{
  free(self);
}
int partition_give_cluster_nb(partition self,int C[3])
{
  int clus;


  clus =  (Init_clus[C[0]]+
	   Nb_clus_axis*Init_clus[C[1]]+
	   Nb_clus_surf*Init_clus[C[2]]
	   );

  return clus;
}
