#include "point.h"


void modify_point_position(point p,move_type move_val)
{
  switch (move_val)
    {
    case RIGHT:
      MOVE_RIGHT_POINT(*p);
      break;
    case UP:
      MOVE_UP_POINT(*p);
      break;
    case LEFT:
      MOVE_LEFT_POINT(*p);
      break;
    case DOWN:
      MOVE_DOWN_POINT(*p);
      break;
    default :
      p->coordx = INFINITE;
      p->coordy = INFINITE;
      break;
    }

}

void point_affiche(point p)
{
  if(p==NULL) return;
  
  printf("(%d,%d)",COORDX(*p),COORDY(*p));
}
/* Etant donne un point d'un segment demis entier donne le point */
/* entier correspondant  a l'interieur de la face */
void point_translate(point p_1_2,point p,move_type prec_move,move_type next_move)
{
    
  static int move_x[4][4] =
    {/*     R U L D */
/*R*/      {0,1,0,0},
/*U*/      {0,1,0,0},
/*L*/      {0,1,0,0},
/*D*/      {0,0,0,0}
    };
  static int move_y[4][4] =
    {/*      R U L D */
/*R*/       {0,0,0,1},
/*U*/       {0,0,0,0},
/*L*/       {0,0,0,1},
/*D*/       {0,0,0,1}
    };
  COORDX(*p) = COORDX(*p_1_2)+move_x[prec_move][next_move];
  COORDY(*p) = COORDY(*p_1_2)+move_y[prec_move][next_move];
}
